# Uses of Interface
org.opensaml.saml.saml2.metadata.RoleDescriptor

Packages that use RoleDescriptor
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.soap
Support classes for SAML SOAP message operations.
org.opensaml.saml.criterion
`Criterion` based on SAML message/protocol information.
org.opensaml.saml.ext.saml2mdquery
Interfaces for SAML 2 Metadata Profile for Standalone Query Requesters.
org.opensaml.saml.ext.saml2mdquery.impl
Implementation for SAML v2.0 Metadata Extension for Stand-Alone Query Requesters.
org.opensaml.saml.metadata.criteria.role.impl
Implementation classes related to `RoleDescriptor` criteria, particularly evaluable (predicate) criteria.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.metadata.support
Classes in support of SAML metadata.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of RoleDescriptor in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context declared as RoleDescriptor
Modifier and Type
Field
Description
`private RoleDescriptor`
SAMLMetadataContext.`roleDescriptor`
The role descriptor of the SAML entity.
Methods in org.opensaml.saml.common.messaging.context that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
SAMLMetadataContext.`getRoleDescriptor()`
Gets the role descriptor of the SAML entity.
Methods in org.opensaml.saml.common.messaging.context with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`void`
SAMLMetadataContext.`setRoleDescriptor(RoleDescriptor descriptor)`
Sets the role descriptor of the SAML entity.

## Uses of RoleDescriptor in org.opensaml.saml.common.messaging.soap

Fields in org.opensaml.saml.common.messaging.soap declared as RoleDescriptor
Modifier and Type
Field
Description
`private RoleDescriptor`
SAMLSOAPClientContextBuilder.`peerRoleDescriptor`
The SAML peer RoleDescriptor.
Methods in org.opensaml.saml.common.messaging.soap that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
SAMLSOAPClientContextBuilder.`getPeerRoleDescriptor()`
Get the SAML peer RoleDescriptor.
Methods in org.opensaml.saml.common.messaging.soap with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`SAMLSOAPClientContextBuilder<InboundMessageType,OutboundMessageType>`
SAMLSOAPClientContextBuilder.`setPeerRoleDescriptor(RoleDescriptor roleDescriptor)`
Set the SAML peer RoleDescriptor.

## Uses of RoleDescriptor in org.opensaml.saml.criterion

Fields in org.opensaml.saml.criterion declared as RoleDescriptor
Modifier and Type
Field
Description
`private final RoleDescriptor`
RoleDescriptorCriterion.`role`
The entity role.
Methods in org.opensaml.saml.criterion that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
RoleDescriptorCriterion.`getRole()`
Gets the entity role.
Constructors in org.opensaml.saml.criterion with parameters of type RoleDescriptor
Modifier
Constructor
Description
``
`RoleDescriptorCriterion(RoleDescriptor samlRole)`
Constructor.

## Uses of RoleDescriptor in org.opensaml.saml.ext.saml2mdquery

Subinterfaces of RoleDescriptor in org.opensaml.saml.ext.saml2mdquery
Modifier and Type
Interface
Description
`interface`
`AttributeQueryDescriptorType`
SAML 2.0 Metadata extension AttributeQueryDescriptorType.
`interface`
`AuthnQueryDescriptorType`
SAML 2.0 Metadata extension AuthnQueryDescriptorType.
`interface`
`AuthzDecisionQueryDescriptorType`
SAML 2.0 Metadata extension AuthzDecisionQueryDescriptorType.
`interface`
`QueryDescriptorType`
SAML 2.0 Metadata extension QueryDescriptorType.

## Uses of RoleDescriptor in org.opensaml.saml.ext.saml2mdquery.impl

Classes in org.opensaml.saml.ext.saml2mdquery.impl that implement RoleDescriptor
Modifier and Type
Class
Description
`class`
`AttributeQueryDescriptorTypeImpl`
Concrete implementation of `AttributeQueryDescriptorType`.
`class`
`AuthnQueryDescriptorTypeImpl`
Concrete implementation of `AuthnQueryDescriptorType`.
`class`
`AuthzDecisionQueryDescriptorTypeImpl`
Concrete implementation of `AuthzDecisionQueryDescriptorType`.
`class`
`QueryDescriptorTypeImpl`
Concrete implementation of `QueryDescriptorType`.

## Uses of RoleDescriptor in org.opensaml.saml.metadata.criteria.role.impl

Methods in org.opensaml.saml.metadata.criteria.role.impl with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`boolean`
EvaluableEntityRoleDescriptorCriterion.`test(RoleDescriptor input)`
`boolean`
EvaluableProtocolRoleDescriptorCriterion.`test(RoleDescriptor input)`

## Uses of RoleDescriptor in org.opensaml.saml.metadata.resolver.filter.impl

Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`protected void`
NameIDFormatFilter.`filterRoleDescriptor(RoleDescriptor role, Collection<String> formats)`
Filters role descriptor.
`protected String`
SignatureValidationFilter.`getRoleIDToken(String entityID, RoleDescriptor role)`
Get a string token for logging/debugging purposes that contains role information and containing entityID.
`protected QName`
EntityRoleFilter.`getRoleName(RoleDescriptor role)`
Gets the effective name for the role.

## Uses of RoleDescriptor in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type RoleDescriptor
Modifier and Type
Field
Description
`private CriterionPredicateRegistry<RoleDescriptor>`
PredicateRoleDescriptorResolver.`criterionPredicateRegistry`
Registry used in resolving predicates from criteria.
Methods in org.opensaml.saml.metadata.resolver.impl that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
PredicateRoleDescriptorResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.saml.metadata.resolver.impl that return types with arguments of type RoleDescriptor
Modifier and Type
Method
Description
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`getAllCandidates(Iterable<EntityDescriptor> entityDescriptors)`
Obtain all role descriptors contained by the input entity descriptors.
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`getCandidatesByRoleAndProtocol(Iterable<EntityDescriptor> entityDescriptors, CriteriaSet criteria)`
Obtain the role descriptors contained by the input entity descriptors which match the specified role and protocol criteria.
`CriterionPredicateRegistry<RoleDescriptor>`
PredicateRoleDescriptorResolver.`getCriterionPredicateRegistry()`
Get the registry used in resolving predicates from criteria.
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`predicateFilterCandidates(Iterable<RoleDescriptor> candidates, CriteriaSet criteria, boolean onEmptyPredicatesReturnEmpty)`
Filter the supplied candidates by resolving predicates from the supplied criteria and applying the predicates to return a filtered `Iterable`.
`Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`resolve(CriteriaSet criteria)`
Method parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type RoleDescriptor
Modifier and Type
Method
Description
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`predicateFilterCandidates(Iterable<RoleDescriptor> candidates, CriteriaSet criteria, boolean onEmptyPredicatesReturnEmpty)`
Filter the supplied candidates by resolving predicates from the supplied criteria and applying the predicates to return a filtered `Iterable`.
`void`
PredicateRoleDescriptorResolver.`setCriterionPredicateRegistry(CriterionPredicateRegistry<RoleDescriptor> registry)`
Set the registry used in resolving predicates from criteria.

## Uses of RoleDescriptor in org.opensaml.saml.metadata.support

Fields in org.opensaml.saml.metadata.support declared as RoleDescriptor
Modifier and Type
Field
Description
`private RoleDescriptor`
AttributeConsumingServiceSelector.`roleDescriptor`
The AttributeConsumingService's parent role descriptor.
Methods in org.opensaml.saml.metadata.support that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
AttributeConsumingServiceSelector.`getRoleDescriptor()`
Get the AttributeConsumingServie's parent RoleDescriptor.
Methods in org.opensaml.saml.metadata.support with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`void`
AttributeConsumingServiceSelector.`setRoleDescriptor(RoleDescriptor descriptor)`
Set the AttributeConsumingServie's parent RoleDescriptor.

## Uses of RoleDescriptor in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl that return RoleDescriptor
Modifier and Type
Method
Description
`private RoleDescriptor`
HTTPArtifactDecoder.`resolvePeerRoleDescriptor(SAML2Artifact artifact)`
Resolve the role descriptor of the SAML peer who issued the supplied artifact.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`private ArtifactResolve`
HTTPArtifactDecoder.`buildArtifactResolveRequestMessage(SAML2Artifact artifact, String endpoint, RoleDescriptor peerRoleDescriptor, String selfEntityID)`
Build the SAML protocol message for artifact resolution.
`private SAMLObject`
HTTPArtifactDecoder.`dereferenceArtifact(SAML2Artifact artifact, RoleDescriptor peerRoleDescriptor, String endpoint)`
De-reference the supplied artifact into the corresponding SAML protocol message.
`private String`
HTTPArtifactDecoder.`resolveArtifactEndpoint(SAML2Artifact artifact, RoleDescriptor peerRoleDescriptor)`
Resolve the artifact resolution endpoint of the peer who issued the artifact.
`private String`
HTTPArtifactDecoder.`resolveSelfEntityID(RoleDescriptor peerRoleDescriptor)`
Resolve the self entityID, used as the issuer of the protocol message by this entity.

## Uses of RoleDescriptor in org.opensaml.saml.saml2.metadata

Subinterfaces of RoleDescriptor in org.opensaml.saml.saml2.metadata
Modifier and Type
Interface
Description
`interface`
`AttributeAuthorityDescriptor`
SAML 2.0 Metadata AttributeAuthorityDescriptor.
`interface`
`AuthnAuthorityDescriptor`
SAML 2.0 Metadata AuthnAuthorityDescriptor.
`interface`
`IDPSSODescriptor`
SAML 2.0 Metadata IDPSSODescriptorType.
`interface`
`PDPDescriptor`
SAML 2.0 Metadata PDPDescriptor.
`interface`
`SPSSODescriptor`
SAML 2.0 Metadata SPSSODescriptorType.
`interface`
`SSODescriptor`
SAML 2.0 Metadata SSODescriptor.
Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type RoleDescriptor
Modifier and Type
Method
Description
`List<RoleDescriptor>`
EntityDescriptor.`getRoleDescriptors()`
Gets all the role descriptors for this entity descriptor.
`List<RoleDescriptor>`
EntityDescriptor.`getRoleDescriptors(QName typeOrName)`
Gets all the role descriptors for this entity descriptor that match the supplied QName parameter.
`List<RoleDescriptor>`
EntityDescriptor.`getRoleDescriptors(QName typeOrName, String supportedProtocol)`
Gets all the role descriptors for this entity that support the given protocol.

## Uses of RoleDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement RoleDescriptor
Modifier and Type
Class
Description
`class`
`AttributeAuthorityDescriptorImpl`
A concrete implementation of `AttributeAuthorityDescriptor`.
`class`
`AuthnAuthorityDescriptorImpl`
Concrete implementation of `AuthnAuthorityDescriptor`.
`class`
`IDPSSODescriptorImpl`
Concrete implementation of `IDPSSODescriptor`.
`class`
`PDPDescriptorImpl`
Concrete implementation of `PDPDescriptor`.
`class`
`RoleDescriptorImpl`
Concrete implementation of `RoleDescriptor`.
`class`
`RoleDescriptorXSAnyAdapter`
Component that adapts an instance of `XSAny` to the interface `RoleDescriptor`.
`class`
`SPSSODescriptorImpl`
Concrete implementation of `SPSSODescriptor`.
`class`
`SSODescriptorImpl`
Concrete implementation of `SSODescriptor`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type RoleDescriptor
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<RoleDescriptor>`
EntityDescriptorImpl.`roleDescriptors`
Role descriptors for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type RoleDescriptor
Modifier and Type
Method
Description
`List<RoleDescriptor>`
EntityDescriptorImpl.`getRoleDescriptors()`
Gets all the role descriptors for this entity descriptor.
`List<RoleDescriptor>`
EntityDescriptorImpl.`getRoleDescriptors(QName typeOrName)`
Gets all the role descriptors for this entity descriptor that match the supplied QName parameter.
`List<RoleDescriptor>`
EntityDescriptorImpl.`getRoleDescriptors(QName type, String supportedProtocol)`
Gets all the role descriptors for this entity that support the given protocol.

## Uses of RoleDescriptor in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as RoleDescriptor
Modifier and Type
Field
Description
`private RoleDescriptor`
SAMLMDCredentialContext.`role`
Role in which credential was resolved.
Methods in org.opensaml.saml.security.impl that return RoleDescriptor
Modifier and Type
Method
Description
`RoleDescriptor`
SAMLMDCredentialContext.`getRoleDescriptor()`
Get the role descriptor context.
Methods in org.opensaml.saml.security.impl that return types with arguments of type RoleDescriptor
Modifier and Type
Method
Description
`protected Iterable<RoleDescriptor>`
MetadataCredentialResolver.`getRoleDescriptors(CriteriaSet criteriaSet, String entityID, QName role, String protocol)`
Get the list of role descriptors which match the given entityID, role and protocol.
Methods in org.opensaml.saml.security.impl with parameters of type RoleDescriptor
Modifier and Type
Method
Description
`protected List<XMLObject>`
SAMLMetadataSignatureSigningParametersResolver.`getExtensions(RoleDescriptor roleDescriptor, QName extensionName)`
Get the extensions indicated by the passed QName.
`protected void`
MetadataCredentialResolver.`processRoleDescriptor(Collection<Credential> accumulator, RoleDescriptor roleDescriptor, String entityID, UsageType usage)`
Process a RoleDescriptor by examing each of its KeyDescriptors.
`protected Collection<Credential>`
MetadataCredentialResolver.`resolveFromRoleDescriptor(CriteriaSet criteriaSet, RoleDescriptor roleDescriptor, UsageType usage)`
Resolves credentials using a supplied instance of `RoleDescriptor`.